Subject: Re: rebase flattens history when it shouldn't?

From: Holger Hellmuth <[email-masked]>
Date: Wed, 06 Aug 2014 17:09:33 +0200

On 23.07.2014 21:33, Sergei Organov wrote:
> What actually bothers me is the unfortunate consequence that "git pull"
> is not always a no-op when nothing was changed at the origin since the
> last "git pull". THIS is really surprising and probably should better be
> fixed. Requiring -f is just one (obvious) way to fix this.

That would invalidate the simple rule that "git pull" is equivalent to 
"git fetch" + "git rebase".

git rebase depends on both branches it operates on, not just one. The 
same goes for "git merge", I assume it is just a coincidence that git 
merge does have this characteristic you now expect both to have.